aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-date-calc
diff options
context:
space:
mode:
Diffstat (limited to 'main/perl-date-calc')
-rw-r--r--main/perl-date-calc/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/main/perl-date-calc/APKBUILD b/main/perl-date-calc/APKBUILD
new file mode 100644
index 0000000000..fa5ed41d43
--- /dev/null
+++ b/main/perl-date-calc/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-date-calc
+_realname=Date-Calc
+pkgver=6.3
+pkgrel=0
+pkgdesc="Perl module for Gregorian calendar date calculations"
+url="http://search.cpan.org/~jaslong/Mail-DKIM-0.36/"
+license="Perl Artistic GPL"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/ST/STBEY/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install UNINST=1
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="9b64555b7051c1beb6b61daead2d01b3 Date-Calc-6.3.tar.gz"